Subject: Re: bug#67171: 30.0.50; (At least) some VC commands fail with project-prefix-or-any-command

From: Sean Whitton <[email-masked]>
Date: Tue, 05 Dec 2023 22:40:30 +0000

Hello,

On Mon 20 Nov 2023 at 04:17am +02, Dmitry Gutov wrote:

> On 14/11/2023 15:13, Sean Whitton wrote:
>> X-debbugs-cc: [email-masked], [email-masked], [email-masked]
>> Hello,
>> 1. cd /home/spwhitton/src/some-project && emacs -q
>> 2. (setopt project-switch-commands #'project-prefix-or-any-command)
>> 3. (project-remember-project (project-current nil "/home/spwhitton/src/emacs/trunk/))
>> 4. C-x p p /home/spwhitton/src/emacs/trunk RET C-x v L
>> VC prints the log of /home/spwhitton/some-project, not that of
>> /home/spwhitton/src/emacs/trunk.
>
> I'm having difficulty reproducing this.
>
> On step 4, I'm asked for the project root (because *scratch* doesn't have a
> current VC backend), but the input defaults to the directory chosen in steps 3
> and 4. And if I open a file-visiting buffer first, then the prompt is skipped,
> and I do see the log of the other project. Not the one used in step 1.

Alright, I've bisected it.  After step 3, additionally eval this form:

    (define-key project-prefix-map "L" #'vc-print-root-log)

I have this because I want to be able to type just L instead of C-x v L.
That doesn't work -- possibly not a bug -- but surely adding that
binding shouldn't affect C-x v L, at least?

-- 
Sean Whitton